<?php

namespace Bluescale\Mail;

use Illuminate\Support\ServiceProvider;

class BluescaleMailServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->mergeConfigFrom(
            __DIR__ . '/../config/bmail.php',
            'bmail'
        );

        $this->app->singleton(BluescaleMailApi::class, function ($app) {
            return new BluescaleMailApi($app['config']['bmail']['api_key']);
        });
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        $this->publishes([
            __DIR__ . '/../config/bmail.php' => config_path('bmail.php')
        ], 'config');
    }
}
